Subject: bug#20017: guile 2.0.11 make check failure for ppc architecture

From: Rob Browning <[email-masked]>
Date: Sun, 23 Apr 2017 12:48:23 -0500

Normand <[email-masked]> writes:

> guile 2.0.11 make check failure for ppc architecture on opensuse 13.2
>
> details of the log is available at:
> https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/guile
> https://build.opensuse.org/build/openSUSE:Factory:PowerPC/standard/ppc/guile/_log
>
> There are two failing tests:
> ===
> [ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
> [ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))
> ===
>
> I have a guest on which I am able to recreate the problem,
> but I do not know anything about guile to do investigation of the problem.

We're seeing the same thing on a Debian powerpc buildd
https://buildd.debian.org/status/fetch.php?pkg=guile-2.0&arch=powerpc&ver=2.0.11%2B1-9%2Bdeb8u1&stamp=1485708200&raw=0

  FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
  FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))

and so I wondered if anything new had been discovered since this was
closed.

Note that this 2.0.11 (2.0.11+1-9+deb8u1), which we're attempting to
build to fix two CVEs in jessie.  I can also attempt to manually
reproduce the failure on a Debian porterbox.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4